#include<fstream>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
int lcm(int a,int b)
{
	return (a*b)/gcd(a,b);
}
int main()
{
	ifstream f1("BAI2_17.INP");
	ofstream f2("BAI2_17.OUT");
	int a,b,n;
	f1>>a>>b>>n;
	int u;
	u+= n/a;
	u+= n/b;
	u-= n/lcm(a,b);
	f2<< u;
	f1.close();
	f2.close();
	return 0;
}

